Update Property Value Description
curl --request PATCH \
--url https://api.jtl-cloud.com/erp/properties/{propertyId}/values/{propertyValueId}/descriptions/{languageIso} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"Name": "yes",
"Description": "A description for the property value",
"SeoPath": "SEO path",
"SeoMetaDescription": "A description for the property value",
"SeoTitleTag": "yes",
"SeoMetaKeywords": "Your metakeywords"
}
'import requests
url = "https://api.jtl-cloud.com/erp/properties/{propertyId}/values/{propertyValueId}/descriptions/{languageIso}"
payload = {
"Name": "yes",
"Description": "A description for the property value",
"SeoPath": "SEO path",
"SeoMetaDescription": "A description for the property value",
"SeoTitleTag": "yes",
"SeoMetaKeywords": "Your metakeywords"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
Name: 'yes',
Description: 'A description for the property value',
SeoPath: 'SEO path',
SeoMetaDescription: 'A description for the property value',
SeoTitleTag: 'yes',
SeoMetaKeywords: 'Your metakeywords'
})
};
fetch('https://api.jtl-cloud.com/erp/properties/{propertyId}/values/{propertyValueId}/descriptions/{languageIso}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}property
Update Property Value Description
Update the description for a specific property value and language
PATCH
/
properties
/
{propertyId}
/
values
/
{propertyValueId}
/
descriptions
/
{languageIso}
Update Property Value Description
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
The iso code of the language that the descriptions belong to.
Body
application/json
The property value description to update.
Model Class: UpdatePropertyValueDescription
Response
Was this page helpful?
⌘I